For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all stock transfers

How to fetch a collection of stock transfers via API

To fetch a collection of stock transfers, send a GET request to the /api/stock_transfers endpoint.

Request

GET https://yourdomain.commercelayer.io/api/stock_transfers

Example

The following request fetches a collection of stock transfers:

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/stock_transfers/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "XAyRWNUzyN",
      "type": "stock_transfers",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN"
      },
      "attributes": {
        "number": "1234",
        "sku_code": "TSHIRTMM000000FFFFFFXLXX",
        "status": "draft",
        "quantity": 2,
        "on_hold_at": "2018-01-01T12:00:00.000Z",
        "picking_at": "2018-01-01T12:00:00.000Z",
        "in_transit_at": "2018-01-01T12:00:00.000Z",
        "completed_at": "2018-01-01T12:00:00.000Z",
        "cancelled_at": "2018-01-01T12:00:00.000Z",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "sku": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/relationships/sku",
            "related": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/sku"
          }
        },
        "origin_stock_location": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/relationships/origin_stock_location",
            "related": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/origin_stock_location"
          }
        },
        "destination_stock_location": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/relationships/destination_stock_location",
            "related": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/destination_stock_location"
          }
        },
        "shipment": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/relationships/shipment",
            "related": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/shipment"
          }
        },
        "line_item": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/relationships/line_item",
            "related": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/line_item"
          }
        },
        "stock_reservation": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/relationships/stock_reservation",
            "related": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/stock_reservation"
          }
        },
        "attachments": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/relationships/attachments",
            "related": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/attachments"
          }
        },
        "events": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/relationships/events",
            "related": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/events"
          }
        },
        "event_stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/relationships/event_stores",
            "related": "https://yourdomain.commercelayer.io/api/stock_transfers/XAyRWNUzyN/event_stores"
          }
        }
      },
      "meta": {
        "mode": "test",
        "organization_id": "xRRkjDFafe",
        "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
      }
    },
    {
      "other": "... 9 stock_transfers (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14,
    "page_size": 10,
    "page_number": 1,
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  },
  "links": {
    "first": "https://yourdomain.commercelayer.io/api/stock_transfers?page[number]=1&page[size]=10",
    "next": "https://yourdomain.commercelayer.io/api/stock_transfers?page[number]=2&page[size]=10",
    "last": "https://yourdomain.commercelayer.io/api/stock_transfers?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of stock transfers can be sorted by the following fields:

Attributes

  • number

  • status

  • quantity

  • on_hold_at

  • picking_at

  • in_transit_at

  • completed_at

  • cancelled_at

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Relationships

  • sku

  • shipment

  • line_item

  • stock_reservation

Filterable fields

The list of stock transfers can be filtered by the following fields:

Attributes

  • number

  • status

  • quantity

  • on_hold_at

  • picking_at

  • in_transit_at

  • completed_at

  • cancelled_at

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Relationships

  • sku

  • origin_stock_location

  • destination_stock_location

  • shipment

  • line_item

  • stock_reservation

  • attachments

  • events

Last updated